Skip to content

Health Check

This technical design describes implementation and API for healthcheck.

API

GET /api/health/<access_token>/

Permissions

Requires access_token in url. access_token if configured per namespace and can be adjusted in vault.

Request

  • URL parameters
KeyTypeNotes
formatstringjson value will format response into json.
  • Headers
Content-Type: application/json
Authorization: JWT access_token

Response

KeyTypeNotes
cachestringStatus of given backend. working or exception error formatted. Nested data per resource.
celerystringStatus of given backend. working or exception error formatted. Nested data per resource
cloud_frontstringStatus of given backend. working or exception error formatted. Nested data per resource
historystringStatus of given backend. working or exception error formatted. Nested data per resource
postgresstringStatus of given backend. working or exception error formatted.
s3stringStatus of given backend. working or exception error formatted.
rabbitstringStatus of given backend. working or exception error formatted.
redis2stringStatus of given backend. working or exception error formatted.
redisstringStatus of given backend. working or exception error formatted.
vaultstringStatus of given backend. working or exception error formatted.
websocketstringStatus of given backend. working or exception error formatted.
  • Successful status 200 OK
  • Response body schema:
json
{
    "cache": {
        "data": {"status": "working", "response_time": "0.1"},
        "pages": {"status": "working", "response_time": "0.1"},
        "task_lock": {"status": "working", "response_time": "0.1"},
        "task_queue": {"status": "working", "response_time": "0.1"}
    },
    "celery": {
        "ping": {"status": "working", "response_time": "0.1"},
        "queues.high_priority": {"status": "working", "response_time": "0.1"},
        "queues.medium_priority": {"status": "working", "response_time": "0.1"},
        "queues.low_priority": {"status": "working", "response_time": "0.1"},
    },
    "cloud_front": {
        "custom_component": {"status": "working", "response_time": "0.1"}
    },
    "history": {
        "clickhouse": {"status": "working", "response_time": "0.1"}",
        "e2e": {"status": "working", "response_time": "0.1"}",
        "event_bridge.api_destination": {"status": "working", "response_time": "0.1"},
        "event_bridge.connection": {"status": "working", "response_time": "0.1"},
        "event_bridge.credentials": {"status": "working", "response_time": "0.1",
        "event_bridge.rule": {"status": "working", "response_time": "0.1",
        "api": {"status": "working", "response_time": "0.1",
        "files:": {"status": "working", "response_time": "0.1"
    },
    "s3": {
        "custom_component": {"status": "working", "response_time": "0.1"
    },
    "postgres": {"status": "working", "response_time": "0.1",
    "rabbit": {"status": "working", "response_time": "0.1",
    "redis2": {"status": "working", "response_time": "0.1",
    "redis": {"status": "working", "response_time": "0.1",
    "vault": {"status": "working", "response_time": "0.1",
    "websocket": {"status": "working", "response_time": "0.1"
}

Where response_time is in seconds.

Errors

ErrorResponse codeMessage
Wrong format query string parameter404 Not Found"detail": "Not found."
Missing access_token404 Not Found
Wrong access_token405 Method Not Allowed"detail": Method "GET" not allowed.